Name:           grsync
Version:        0.9.1
Release:        1%{?dist}
Summary:        A Gtk+ GUI for rsync

Group:          User Interface/Desktops
License:        GPLv2
URL:            http://www.opbyte.it/grsync/
Source0:        http://www.opbyte.it/release/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel desktop-file-utils gettext perl(XML::Parser)
BuildRequires:  intltool

%description
Grsync is a GUI (Graphical User Interface) for rsync, the commandline 
directory synchronization tool. It makes use of the GTK libraries and 
is released under the GPL license, so it is opensource. It is in beta 
stage and doesn't support all of rsync features, but can be effectively 
used to synchronize local directories. For example some people use 
grsync to synchronize their music collection with removable devices or 
to backup personal files to a networked drive. 

%prep
%setup -q

# some minor corrections for rpmlint
%{__sed} -i 's/\r//' README AUTHORS NEWS

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor=""                                 \
        --dir=%{buildroot}%{_datadir}/applications/              \
        %{buildroot}/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}
 
%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/grsync*
%{_mandir}/man1/grsync*.1.gz
%{_datadir}/pixmaps/grsync.png
%{_datadir}/applications/grsync.desktop
%{_datadir}/grsync/


%changelog
* Wed Jul 01 2009 Sebastian Vahl <fedora@deadbabylon.de> - 0.9.1-1
- new upstream release

* Sun Jun 14 2009 Sebastian Vahl <fedora@deadbabylon.de> - 0.9.0-1
- new upstream release

* Fri Apr 10 2009 Sebastian Vahl <fedora@deadbabylon.de> - 0.6.3-2
- BR: intltool

* Fri Apr 10 2009 Sebastian Vahl <fedora@deadbabylon.de> - 0.6.3-1
- new upstream release

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 11 2008 Sebastian Vahl <fedora@deadbabylon.de> - 0.6.2-1
- new upstream release
- drop grsync-0.6.1-fix-crash-when-adding-new-sessions.patch

* Fri Feb 08 2008 Sebastian Vahl <fedora@deadbabylon.de> - 0.6.1-2
- workaround crash when adding new sessions (#385051)

* Wed Nov 28 2007 Sebastian Vahl <fedora@deadbabylon.de> - 0.6.1-1
- New upstream version: 0.6.1

* Tue Sep 13 2007 Sebastian Vahl <fedora@deadbabylon.de> - 0.6-1
- New upstream version: 0.6
- Change license to GPLv2

* Tue May 15 2007 Sebastian Vahl <fedora@deadbabylon.de> - 0.5.2-2
- BR: perl(XML::Parser)

* Tue Jan 23 2007 Sebastian Vahl <fedora@deadbabylon.de> - 0.5.2-1
- New upstream version: 0.5.2

* Fri Dec 01 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.5-2
- BR: gettext

* Sat Nov 11 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.5-1
- New upstream version: 0.5

* Fri May 05 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.4.1-1
- Initial Spec Release
